:set termguicolors
:set number
:set relativenumber
:set autoindent
:set tabstop=4
:set shiftwidth=4
:set smarttab
:set softtabstop=4
:set mouse=a

call plug#begin()
Plug 'gko/vim-coloresque'
Plug 'https://github.com/preservim/nerdtree' " NerdTree
Plug 'https://github.com/tpope/vim-commentary' " Para comentarios
Plug 'https://github.com/vim-airline/vim-airline' " Barra de estado
Plug 'https://github.com/rafi/awesome-vim-colorschemes' " Temas
Plug 'https://github.com/neoclide/coc.nvim'  " Auto Completar
Plug 'https://github.com/ryanoasis/vim-devicons' " Iconos
Plug 'https://github.com/preservim/tagbar' " Tagbar 
Plug 'neoclide/coc.nvim', {'branch': 'release'} 

set encoding=UTF-8

call plug#end()
nnoremap <C-f> :NERDTreeFocus<CR>
nnoremap <C-n> :NERDTree<CR>
nnoremap <C-t> :NERDTreeToggle<CR>
nnoremap <C-l> :call CocActionAsync('jumpDefinition')<CR>
nnoremap <silent><F3> :!kumban % && firefox %:r.html<CR>
nmap <F8> :TagbarToggle<CR>

:set completeopt-=preview " For No Previews

:colorscheme nord

let g:NERDTreeDirArrowExpandable="+"
let g:NERDTreeDirArrowCollapsible="~"

" air-line
let g:airline_powerline_fonts = 1

if !exists('g:airline_symbols')
    let g:airline_symbols = {}
endif

" airline symbols
let g:airline_left_sep = ''
let g:airline_left_alt_sep = ''
let g:airline_right_sep = ''
let g:airline_right_alt_sep = ''
let g:airline_symbols.branch = ''
let g:airline_symbols.readonly = ''
let g:airline_symbols.linenr = ''

inoremap <expr> <Tab> pumvisible() ? coc#_select_confirm() : "<Tab>"

command! -nargs=0 Prettier :call CocAction('runCommand', 'prettier.formatFile')
